Admin

Delete a custom role

DELETE
/api/v1/roles/{role_id}

Refuses while any member still holds the role.

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Path Parameters

role_id*string
Formatuuid

Query Parameters

merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Response Body

application/json

application/json

curl -X DELETE "https://example.com/api/v1/roles/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "message": "Done.",    "ok": true,    "resource_id": "string"  },  "meta": {},  "success": true}